From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <kn@openbsd.org>
Subject: [PATCH] manual: Remove mention of pledge/unveil
Date: Sat, 23 Jan 2021 11:32:15 +0100
Message-Id: <20210123103216.76890-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

From: Klemens Nanni <kn@openbsd.org>

On OpenBSD, pledge(2) is used regardless of restricted mode.
While it is true that restricted mode applies even tighter
pledges and also limits filesystem access to specific directories,
I argue that such (OS specific) implementation detail should not
be documented.

The current wording is misleading as it implies that no pledge is
done without restricted mode;  furthermore, both pledge and unveil
work transparently, i.e. it is a bug if their usage would result
in a change of behaviour of the program.
---
 catgirl.1 | 7 -------
 1 file changed, 7 deletions(-)

diff --git a/catgirl.1 b/catgirl.1
index f0dddfe..f14ba3a 100644
--- a/catgirl.1
+++ b/catgirl.1
@@ -165,13 +165,6 @@ and
 commands,
 as well as viewing this manual with
 .Ic /help .
-On
-.Ox ,
-restrict system operations
-and filesystem access with
-.Xr pledge 2
-and
-.Xr unveil 2 .
 .
 .It Fl S Ar host , Cm bind = Ar host
 Bind to source address
-- 
2.30.0


